## python-docformatter 1.4

=== Makefile ===
check:
	pycodestyle docformatter.py setup.py
	pydocstyle \
		--convention=pep257 \
		--add-ignore=D413 \
		docformatter.py \
		setup.py
	pylint \
		--reports=no \
		--disable=bad-continuation \
		--disable=fixme \
		--disable=import-outside-toplevel \
		--disable=inconsistent-return-statements \
		--disable=invalid-name \
		--disable=no-else-return \
		--disable=no-member \
		--disable=too-few-public-methods \
		--disable=too-many-arguments \
		--disable=too-many-boolean-expressions \
		--disable=too-many-locals \
		--disable=too-many-return-statements \
		--disable=useless-object-inheritance \
		--rcfile=/dev/null \
		docformatter.py setup.py
	check-manifest
	rstcheck --report=1 README.rst
	docformatter docformatter.py setup.py
	python -m doctest docformatter.py

coverage:
	@coverage erase
	@DOCFORMATTER_COVERAGE=1 coverage run \
		--branch --parallel-mode --omit='*/site-packages/*,*/*pypy/*' \
		test_docformatter.py
	@coverage combine
	@coverage report --show-missing

open_coverage: coverage
	@coverage html
	@python -m webbrowser -n "file://${PWD}/htmlcov/index.html"

mutant:
	@mut.py -t docformatter -u test_docformatter -mc

readme:
	@restview --long-description --strict

=== debian/changelog ===
python-docformatter (1.4-2) unstable; urgency=medium

  * Team upload.
  * Update Standards-Version to 4.6.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Fri, 12 Nov 2021 10:23:30 -0500

python-docformatter (1.4-1) unstable; urgency=medium

  * Initial release (Closes: #976442).

 -- Adam Cecile <acecile@le-vert.net>  Tue, 28 Sep 2021 22:40:12 +0200

=== debian/control ===
Source: python-docformatter
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-untokenize,
 help2man,
 python3-pytest <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://github.com/myint/docformatter
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-docformatter
Vcs-Git: https://salsa.debian.org/python-team/packages/python-docformatter.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-docformatter
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Formats docstrings to follow Python PEP 257 (Python 3)
 Docformatter currently automatically formats docstrings to follow a subset
 of the PEP 257 conventions.
 .
 Below are the relevant items quoted from PEP 257:
 .
  * For consistency, always use triple double quotes around docstrings,
  * Triple quotes are used even though the string fits on one line,
  * Multi-line docstrings consist of a summary line just like a one-line
    docstring, followed by a blank line, followed by a more elaborate
    description,
  * Unless the entire docstring fits on a line, place the closing quotes on
    a line by themselves.
 .
 Docformatter also handles some of the PEP 8 conventions:
 .
   * Don't write string literals that rely on significant trailing whitespace
     Such trailing whitespace is visually indistinguishable and some editors
     (or more recently, reindent.py) will trim them.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docformatter
export PYBUILD_TEST_ARGS=-v
export PYBUILD_BEFORE_TEST=cp -r {dir}/test_docformatter.py {build_dir}
export PYBUILD_AFTER_TEST=rm -f {build_dir}/test_docformatter.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache
	rm -f $(PYBUILD_NAME).1

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=$(CURDIR) help2man debian/python3-$(PYBUILD_NAME)/usr/bin/$(PYBUILD_NAME) \
	  --no-info \
	  --name "$(shell grep '^Description' debian/control | head -n 1 | cut -d: -f2)" \
	  > $(PYBUILD_NAME).1

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

## python-docformatter 1.7.3

=== debian/changelog ===
python-docformatter (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3

 -- Michael Fladischer <fladi@debian.org>  Thu, 29 Jun 2023 11:43:15 +0000

python-docformatter (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * Build using pybuild-plugin-pyproject and python3-poetry-core, remove
    python3-setuptools from Build-Depends.
  * Add myself to d/copyright and as uploader.
  * Bump Standards-Version to 4.6.2.
  * Update project homepage URL.
  * Add python3-charset-normalizer and python3-mock to Build-Depends, required
    by tests.
  * Add upstream contact to d/copyright.
  * Fix whitesapce in d/copyright.
  * Install testfiles using d/pybuild.testfiles.
  * Skip end-to-end tests durign build-time tests, they expect the
    docformatter script to be installed.
  * Simplify d/rules by using execute_after_ targets instead ov overrides.
  * Fix PYTHONPATH when calling help2man for the docformatter script.
  * Enable upstream testsuite for autopkgtests.
  * Add patch to not include LICENSE file in installation.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Build and ship documentation in python-docformatter-doc package.

 -- Michael Fladischer <fladi@debian.org>  Wed, 21 Jun 2023 21:14:34 +0000

python-docformatter (1.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:44:21 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docformatter
export PYBUILD_TEST_ARGS=-v -k "not TestEndToEnd"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf .pytest_cache
	rm -f $(PYBUILD_NAME).1

execute_after_dh_auto_install:
	PYTHONPATH=$(CURDIR)/src help2man debian/python3-$(PYBUILD_NAME)/usr/bin/$(PYBUILD_NAME) \
	  --no-info \
	  --name "$(shell grep '^Description' debian/control | head -n 1 | cut -d: -f2)" \
	  > $(PYBUILD_NAME).1

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src python3 -m sphinx -b html -N docs/source $(CURDIR)/debian/python-docformatter-doc/usr/share/doc/python-docformatter-doc/html
	dh_sphinxdoc
endif

## python-docformatter 1.7.5

=== debian/changelog ===
python-docformatter (1.7.5-4) unstable; urgency=medium

  * Team upload.
  * Trim autopkgtest dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 13:41:04 +0100

python-docformatter (1.7.5-3) unstable; urgency=medium

  * Team upload.
  * Patch: Support Python 3.13. (Closes: #1058333)
  * Revert "disable 3 tests that fails with Python3.13"
  * Revert "sync autopkgtest"
  * Patch: Run docformatter with the same python version as the test suite.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 03 Feb 2025 18:07:35 -0400

python-docformatter (1.7.5-2) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Disable 3 tests that fails with Python3.13 beacause of
    the new stripping of the docstrings.
  * Remove dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Dec 2024 12:38:08 +0100

python-docformatter (1.7.5-1) unstable; urgency=medium

  * New upstream version 1.7.5
  * Refresh patches.
  * Add patch to use local image resource to prevent privacy breach.
  * Simplify d/rules by using execute_ targets instead of overrides.
  * Fix permissions for docformatter/__main__.py.
  * Update changelog for 1.7.5-1 release

 -- Michael Fladischer <fladi@debian.org>  Fri, 08 Sep 2023 21:14:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,62 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Adam Cecile <acecile@le-vert.net>
+Uploaders:
+ Adam Cecile <acecile@le-vert.net>,
+ Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ help2man,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-charset-normalizer <!nocheck>,
+ python3-poetry-core,
+ python3-pytest <!nocheck>,
+ python3-sphinx,
  python3-untokenize,
- help2man,
- python3-pytest <!nocheck>,
-Standards-Version: 4.6.0
-Homepage: https://github.com/myint/docformatter
+Standards-Version: 4.6.2
+Homepage: https://github.com/PyCQA/docformatter
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-docformatter
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-docformatter.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
+X-Style: black
+
+Package: python-docformatter-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: Formats docstrings to follow Python PEP 257 (Documentation)
+ Docformatter currently automatically formats docstrings to follow a subset
+ of the PEP 257 conventions.
+ .
+ Below are the relevant items quoted from PEP 257:
+ .
+  * For consistency, always use triple double quotes around docstrings,
+  * Triple quotes are used even though the string fits on one line,
+  * Multi-line docstrings consist of a summary line just like a one-line
+    docstring, followed by a blank line, followed by a more elaborate
+    description,
+  * Unless the entire docstring fits on a line, place the closing quotes on
+    a line by themselves.
+ .
+ Docformatter also handles some of the PEP 8 conventions:
+ .
+   * Don't write string literals that rely on significant trailing whitespace
+     Such trailing whitespace is visually indistinguishable and some editors
+     (or more recently, reindent.py) will trim them.
+ .
+ This package contains the documentation.
 
 Package: python3-docformatter
 Architecture: all
 Depends:
+ ${misc:Depends},
  ${python3:Depends},
- ${misc:Depends},
 Description: Formats docstrings to follow Python PEP 257 (Python 3)
  Docformatter currently automatically formats docstrings to follow a subset
  of the PEP 257 conventions.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docformatter
export PYBUILD_TEST_ARGS=-v -k "not TestEndToEnd"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_installman:
	PYTHONPATH=$(CURDIR)/src help2man $(CURDIR)/debian/python3-$(PYBUILD_NAME)/usr/bin/$(PYBUILD_NAME) \
	  --no-info \
	  --name "$(shell grep '^Description' debian/control | head -n 1 | cut -d: -f2)" \
	  > $(PYBUILD_NAME).1

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src python3 -m sphinx -b html -N $(CURDIR)/docs/source $(CURDIR)/debian/python-docformatter-doc/usr/share/doc/python-docformatter-doc/html
endif

execute_after_dh_fixperms:
	chmod 644 $(CURDIR)/debian/python3-docformatter/usr/lib/python3/dist-packages/docformatter/__main__.py

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-docformatter-$1.tar.gz%" \
   https://github.com/myint/docformatter/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-docformatter 1.7.7

=== debian/changelog ===
python-docformatter (1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Set upstream metadata fields: Documentation, Repository.
  * d/patches: Update patches according to new upstream release.
  * d/patches/0003-Fix-encoding-default.patch: Add patch to fix an encoding
    issue in upstream code.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 19 Dec 2025 17:44:56 -0300

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest <!nocheck>,
  python3-sphinx,
  python3-untokenize,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/PyCQA/docformatter
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-docformatter
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-docformatter.git
